about summary refs log tree commit homepage
diff options
context:
space:
mode:
authorEric Wong <normalperson@yhbt.net>2011-05-20 18:23:50 -0700
committerEric Wong <normalperson@yhbt.net>2011-05-21 03:18:58 +0000
commit7bd77ef78055af5d5232d16f00568ce02b947ae0 (patch)
tree4d0012c9251233101c88539d416f90a668dbb037
parent07cb79c14399a292ae2a50db007180941c758c69 (diff)
It's better under 1.9.3 (sleepy_penguin 3.0.1 was bogus)
-rw-r--r--lib/rainbows/epoll.rb2
-rw-r--r--lib/rainbows/xepoll.rb2
-rw-r--r--lib/rainbows/xepoll_thread_pool.rb2
-rw-r--r--lib/rainbows/xepoll_thread_spawn.rb2
-rw-r--r--t/test_isolate.rb2
5 files changed, 5 insertions, 5 deletions
diff --git a/lib/rainbows/epoll.rb b/lib/rainbows/epoll.rb
index d96e860..7b49e67 100644
--- a/lib/rainbows/epoll.rb
+++ b/lib/rainbows/epoll.rb
@@ -22,7 +22,7 @@ require 'sendfile'
 # === RubyGem Requirements
 #
 # * raindrops 0.6.0 or later
-# * sleepy_penguin 3.0.0 or later
+# * sleepy_penguin 3.0.1 or later
 # * sendfile 1.1.0 or later
 #
 module Rainbows::Epoll
diff --git a/lib/rainbows/xepoll.rb b/lib/rainbows/xepoll.rb
index fa08e91..a7f9d8c 100644
--- a/lib/rainbows/xepoll.rb
+++ b/lib/rainbows/xepoll.rb
@@ -10,7 +10,7 @@ require 'rainbows/epoll'
 # === RubyGem Requirements
 #
 # * raindrops 0.6.0 or later
-# * sleepy_penguin 3.0.0 or later
+# * sleepy_penguin 3.0.1 or later
 # * sendfile 1.1.0 or later
 module Rainbows::XEpoll
   # :stopdoc:
diff --git a/lib/rainbows/xepoll_thread_pool.rb b/lib/rainbows/xepoll_thread_pool.rb
index 873a975..ec33e93 100644
--- a/lib/rainbows/xepoll_thread_pool.rb
+++ b/lib/rainbows/xepoll_thread_pool.rb
@@ -61,7 +61,7 @@ require "raindrops"
 # === RubyGem Requirements
 #
 # * raindrops 0.6.0 or later
-# * sleepy_penguin 3.0.0 or later
+# * sleepy_penguin 3.0.1 or later
 module Rainbows::XEpollThreadPool
   extend Rainbows::PoolSize
 
diff --git a/lib/rainbows/xepoll_thread_spawn.rb b/lib/rainbows/xepoll_thread_spawn.rb
index 2f9c46a..21de55c 100644
--- a/lib/rainbows/xepoll_thread_spawn.rb
+++ b/lib/rainbows/xepoll_thread_spawn.rb
@@ -39,7 +39,7 @@ require "raindrops"
 # === RubyGem Requirements
 #
 # * raindrops 0.6.0 or later
-# * sleepy_penguin 3.0.0 or later
+# * sleepy_penguin 3.0.1 or later
 module Rainbows::XEpollThreadSpawn
   # :stopdoc:
   include Rainbows::Base
diff --git a/t/test_isolate.rb b/t/test_isolate.rb
index 7e5f379..4d9b85e 100644
--- a/t/test_isolate.rb
+++ b/t/test_isolate.rb
@@ -38,7 +38,7 @@ Isolate.now!(opts) do
   end
 
   if RUBY_PLATFORM =~ /linux/
-    gem 'sleepy_penguin', '3.0.0'
+    gem 'sleepy_penguin', '3.0.1'
 
     # is 2.6.32 new enough?
     gem 'io_splice', '4.1.1' if `uname -r`.strip > '2.6.32'